<!-- Copyright (C) 2016 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
  coreApp="true"
  package="com.android.dialer"
  android:versionCode="2900000"
  android:versionName="23.0">

  <uses-sdk
    android:minSdkVersion="24"
    android:targetSdkVersion="29"/>

  <uses-permission android:name="android.permission.CALL_PHONE"/>
  <uses-permission android:name="android.permission.READ_CONTACTS"/>
  <uses-permission android:name="android.permission.WRITE_CONTACTS"/>
  <uses-permission android:name="android.permission.READ_CALL_LOG"/>
  <uses-permission android:name="android.permission.WRITE_CALL_LOG"/>
  <uses-permission android:name="android.permission.READ_PROFILE"/>
  <uses-permission android:name="android.permission.MANAGE_ACCOUNTS"/>
  <uses-permission android:name="android.permission.GET_ACCOUNTS"/>
  <uses-permission android:name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
  <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
  <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
  <uses-permission android:name="android.permission.INTERNET"/>
  <uses-permission android:name="android.permission.PROCESS_OUTGOING_CALLS"/>
  <uses-permission android:name="android.permission.NFC"/>
  <uses-permission android:name="android.permission.READ_PHONE_STATE"/>
  <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS"/>
  <uses-permission android:name="android.permission.MODIFY_PHONE_STATE"/>
  <uses-permission android:name="android.permission.WAKE_LOCK"/>
  <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
  <uses-permission android:name="android.permission.WRITE_SETTINGS"/>
  <uses-permission android:name="android.permission.USE_CREDENTIALS"/>
  <uses-permission android:name="android.permission.VIBRATE"/>
  <uses-permission android:name="android.permission.BLUETOOTH"/>
  <uses-permission android:name="android.permission.READ_SYNC_SETTINGS"/>
  <uses-permission android:name="com.android.voicemail.permission.ADD_VOICEMAIL"/>
  <uses-permission android:name="com.android.voicemail.permission.WRITE_VOICEMAIL"/>
  <uses-permission android:name="com.android.voicemail.permission.READ_VOICEMAIL"/>
  <uses-permission android:name="android.permission.ALLOW_ANY_CODEC_FOR_PLAYBACK"/>
  <uses-permission android:name="com.android.launcher.permission.INSTALL_SHORTCUT"/>
  <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>
  <uses-permission android:name="android.permission.BROADCAST_STICKY"/>
  <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
  <uses-permission android:name="android.permission.SEND_SMS"/>
  <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW"/>
  <uses-permission android:name="android.permission.CONNECTIVITY_USE_RESTRICTED_NETWORKS"/>
  <uses-permission android:name="android.permission.USE_FULL_SCREEN_INTENT"/>
  <uses-permission android:name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>

  <uses-permission android:name="android.permission.CONTROL_INCALL_EXPERIENCE"/>
  <!-- We use this to disable the status bar buttons of home, back and recent
  during an incoming call. By doing so this allows us to not show the user
  is viewing the activity in full screen alert, on a fresh system/factory
  reset state of the app. -->
  <uses-permission android:name="android.permission.STATUS_BAR"/>
  <uses-permission android:name="android.permission.CAMERA"/>

  <!-- This tells the activity manager to not delay any of our activity
   start requests, even if they happen immediately after the user
   presses home. -->
  <uses-permission android:name="android.permission.STOP_APP_SWITCHES"/>

  <!-- Used for sending PendingIntents to dynamically registered receivers -->
  <uses-permission android:name="com.android.dialer.permission.DIALER_ORIGIN"
    android:protectionLevel="signature" />

  <!-- Permissions needed for badger count showing on launch icon. -->

  <!--for Samsung-->
  <uses-permission android:name="com.sec.android.provider.badge.permission.READ"/>
  <uses-permission android:name="com.sec.android.provider.badge.permission.WRITE"/>

  <!--for htc-->
  <uses-permission android:name="com.htc.launcher.permission.READ_SETTINGS"/>
  <uses-permission android:name="com.htc.launcher.permission.UPDATE_SHORTCUT"/>

  <!--for sony-->
  <uses-permission android:name="com.sonyericsson.home.permission.BROADCAST_BADGE"/>
  <uses-permission android:name="com.sonymobile.home.permission.PROVIDER_INSERT_BADGE"/>

  <!--for apex-->
  <uses-permission android:name="com.anddoes.launcher.permission.UPDATE_COUNT"/>

  <!--for solid-->
  <uses-permission android:name="com.majeur.launcher.permission.UPDATE_BADGE"/>

  <!--for huawei-->
  <uses-permission android:name="com.huawei.android.launcher.permission.CHANGE_BADGE"/>
  <uses-permission android:name="com.huawei.android.launcher.permission.READ_SETTINGS"/>
  <uses-permission android:name="com.huawei.android.launcher.permission.WRITE_SETTINGS"/>

  <!--for ZUK-->
  <uses-permission android:name="android.permission.READ_APP_BADGE"/>

  <!--for OPPO-->
  <uses-permission android:name="com.oppo.launcher.permission.READ_SETTINGS"/>
  <uses-permission android:name="com.oppo.launcher.permission.WRITE_SETTINGS"/>

  <application
    android:hardwareAccelerated="true"
    android:icon="@mipmap/ic_launcher"
    android:label="@string/applicationLabel"
    android:name="com.android.dialer.binary.aosp.AospDialerApplication"
    android:appCategory="social"
    android:supportsRtl="true"
    android:usesCleartextTraffic="false"
    android:extractNativeLibs="false">
  </application>

</manifest>
